version: '3'
services:
  server:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "2115:22"
      - "8888:8888"
    restart: always
    volumes:
      - ./notebooks:/app/notebooks
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              capabilities: ["gpu"]
              count: 1  # Adjust count for the number of GPUs you want to use
    environment:
      - NVIDIA_VISIBLE_DEVICES=all
      - NVIDIA_DRIVER_CAPABILITIES=compute,utility
